Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class NonXDSElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.NonXDSElement

All Implemented Interfaces:
  CommandElement, ParamElement, TextParent, XDSElement

public class NonXDSElement
extends ElementImpl
implements CommandElement, ParamElement

An element not defined in the XDS DTD -- most likely a parameter, state, or custom command element.

Method Summary
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`String` | `extractText()` Returns the concatenated child text nodes of this element.
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.
`String` | `getDisplayName()` Returns the display-name attribute value.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`String` | `getQualifiedSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `getSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `getSrcEntryID()` Gets the value of this element's `src-entry-id` attribute.
`boolean` | `hasContent()` Does this element the parent of child nodes?
`boolean` | `isContentSensitive()`
`boolean` | `isPasswordRef()`
`void` | `setEventID(String someID)` Sets this element's `event-id` attribute to `someID`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getEventID

    public String getEventID()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getEventID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getSrcDN

    public String getSrcDN()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Specified by:
    `getSrcDN` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Specified by:
    `getQualifiedSrcDN` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getSrcEntryID

    public String getSrcEntryID()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `src-entry-id` attribute.

  Invocation Context:
    READ

  Specified by:
    `getSrcEntryID` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### getClassName

    public String getClassName()

  Description copied from interface: `CommandElement`
  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getClassName` in interface `CommandElement`
  Returns:
    may return `null`; will not return `""`

### setEventID

    public void setEventID(String someID)

  Description copied from interface: `CommandElement`
  Sets this element's `event-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Specified by:
    `setEventID` in interface `CommandElement`
  Parameters:
    `someID` - if `null` or `""`, no action is taken

### extractText

    public String extractText()

  Description copied from interface: `TextParent`
  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Specified by:
    `extractText` in interface `TextParent`
  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### appendText

    public void appendText(String someText)

  Description copied from interface: `TextParent`
  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendText` in interface `TextParent`
  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `ParamElement`
  Returns the display-name attribute value.

  Specified by:
    `getDisplayName` in interface `ParamElement`
  Returns:
    may return `null`; will not return "" (empty string)

### isContentSensitive

    public boolean isContentSensitive()

  Specified by:
    `isContentSensitive` in interface `ParamElement`

### isPasswordRef

    public boolean isPasswordRef()

  Specified by:
    `isPasswordRef` in interface `ParamElement`

### hasContent

    public boolean hasContent()

  Description copied from interface: `ParamElement`
  Does this element the parent of child nodes?

  Specified by:
    `hasContent` in interface `ParamElement`
  Returns:
    `true` if it does; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD